List a directory
GET
/api/orgs/{org}/projects/{project}/tree
const url = 'https://api.wrktr.com/api/orgs/example/projects/example/tree?branch=example&path=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.wrktr.com/api/orgs/example/projects/example/tree?branch=example&path=example' \ --header 'Authorization: Bearer <token>'The directory at the branch head; path “” is the root.
Authorizations
Section titled “Authorizations”- bearer
- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
project
required
string
Query Parameters
Section titled “Query Parameters”branch
required
string
path
required
string
Responses
Section titled “Responses”TreeAtHead
Media typeapplication/json
object
path
required
string
headSha
required
string
entries
required
Any of:
Array<object>
object
name
required
string
mode
required
string
sha
required
string
isTree
required
boolean
null
Examplegenerated
{ "path": "example", "headSha": "example", "entries": [ { "name": "example", "mode": "example", "sha": "example", "isTree": true } ]}Unauthorized
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Unauthorized"}ProjectNotFound | BranchNotFound